Subject: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 09 Nov 2012 13:17:24 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: "Fabrice Niessen" <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Fri, 09 Nov 2012 11:59:05 +0100
>> 
>> Eli Zaretskii wrote:
>> >> From: "Fabrice Niessen" <[email-masked]>
>> >>
>> >> (gdb) print p->name
>> >> $2 = 95268961
>> >> (gdb) xstring
>> >> $3 = (struct Lisp_String *) 0x5adb060
>> >> "locate-process"
>> >
>> > Is this process still running, or did it exit already?
>> 
>> I can't tell you exactly, even if I noticed an es.exe still there when Emacs
>> was frozen. But I can't tell you with certitude if it was already there before
>> I even launched Emacs, for example.
>
> If you install Process Explorer from here:
>
>   http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx
>
> you will be able to display the processes in a tree-like display, so
> you will see whether es.exe is a child process of Emacs.  And in frame
> 14, you can see the PID of the process Emacs is waiting for:
When running helm-for-files in WindowsXP in VirtualBox, I don't see the
"es.exe" running, only "cmdproxy.exe" which exit quickly as soon as
candidates are found.
No crash happen as always.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997